/* ************ */
/* TEST PROGRAM */
/* ************ */

#include <coleco.h>
#include <getput1.h>

extern byte PATTERNRLE[];
extern byte COLORRLE[];
extern byte NAMERLE[];

void nmi(void)
{
}

void init_text(void)
{
    disable_nmi();
    load_ascii();
    fill_color(0,0x40,255);
    screen_on();
}

void init_graphics(void)
{
    disable_nmi();
    rle2vram(PATTERNRLE,0x0000);
    rle2vram(COLORRLE,0x2000);
    cls();
    screen_on();
}

void show_screen(void)
{
    disable_nmi();
    rle2vram(NAMERLE,0x1800);
}

char msg_1[] = "HELLO WORLD!     * PRESS FIRE *";
void print_test(void)
{
    disable_nmi();
    put_at(1,5,msg_1,strlen(msg_1));
    enable_nmi();
    pause();
}

char msg_2[] = "SELECT SOUND 1-4,    5 TO QUIT.";
void sound_test(void)
{
    byte j = 15;
    
    disable_nmi();
    put_at(1,5,msg_2,strlen(msg_2));
    enable_nmi();
    
    while (j!=5)
    {
        j = choice_keypad(1,5);
        if (j<5)
        {
            play_sound(j);
        }
    }
    
    stop_sound(1);
    stop_sound(2);
    stop_sound(3);
    stop_sound(4);    
}

void main(void)
{
    /* TEXT TEST */
    init_text();
    print_test();
    
    /* SOUND TEST */
    sound_test();
    
    /* SCREEN TEST */
    init_graphics();
    show_screen();
    pause();
}